Version File Reference
`#include <osgFX/Export>`

Go to the source code of this file.

## Macros

#define | OSGFX_VERSION 1

## Functions

OSGFX_EXPORT const char * | osgFXGetVersion ()
OSGFX_EXPORT const char * | osgFXGetLibraryName ()

## Macro Definition Documentation

## OSGFX_VERSION

#define OSGFX_VERSION 1

## Function Documentation

## osgFXGetLibraryName()

OSGFX_EXPORT const char * osgFXGetLibraryName | ( |  | ) |

extern

getLibraryName() returns the library name in human friendly form.

References OSGFX_EXPORT.

## osgFXGetVersion()

OSGFX_EXPORT const char * osgFXGetVersion | ( |  | ) |

extern

osgFXGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgFXGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) FX library
    #
    AC_CHECK_LIB(osg, osgFXGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph FX library not found. See http://www.openscenegraph.org)],)

References OSGFX_EXPORT.